package com.qmth.qrzk.service;

import com.qmth.qrzk.dao.repositories.ConfidentialRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**

 */
@Service
public class ConfidentialService {


    @Autowired
    private ConfidentialRepo confidentialRepo;

    @Transactional
    public void updateById(Integer bagNum, int id) {
        confidentialRepo.updateById(bagNum, id);
    }

    @Transactional
    public void copyConfidential(int batchId) {
        confidentialRepo.copyConfidential(batchId);
    }
}
	
